Package com.castlabs.android.player.exceptions

## Class TunnelingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.castlabs.android.player.exceptions.TunnelingException

- All Implemented Interfaces:
    `Serializable`

      public class TunnelingException
      extends Exception

  Exception that is raised when tunneling mode can not be enabled because of specified reasons.
  Since:
    4.2.74
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TunnelingException.Reason` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `TunnelingException.Reason` | `reason` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TunnelingException` | `create​(TunnelingException.Reason reason, String message)` |
    `String` | `reasonString()` |
    `static String` | `reasonString​(TunnelingException.Reason reason)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### reason

          @Nullable
          public final TunnelingException.Reason reason

  - ### Method Detail

    - #### create

          @NonNull
          public static TunnelingException create​(@Nullable
                                                  TunnelingException.Reason reason,
                                                  @NonNull
                                                  String message)

    - #### reasonString

          @NonNull
          public String reasonString()

    - #### reasonString

          @NonNull
          public static String reasonString​(@Nullable
                                            TunnelingException.Reason reason)